<?php
namespace App\Model\Table;

use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * Cmsusers Model
 *
 * @property \Cake\ORM\Association\BelongsTo $Companies
 */
class ControllersTable extends Table
{
    public function initialize(array $config)
    {
        parent::initialize($config);
       
        $this->table('controllers');
        $this->primaryKey('id');

//        $this->belongsTo('Crmuserhascontroller', [
//            'foreignKey' => 'controller_id',
//            'joinType' => 'INNER'
//        ]);

       
    }
}